/*
   Surface clear interface for the HERMES library
   Copyright (c) 1998 Christian Nentwich (brn@eleet.mcb.at)
   This source code is licensed under the GNU LGPL
  
   Please refer to the file COPYING.LIB contained in the distribution for
   licensing conditions
*/

#ifndef __HERMES_CLEAR__
#define __HERMES_CLEAR__


#include "Types.h"
#include "H_Format.h"

HermesHandle Hermes_ClearerInstance();


void Hermes_ClearerReturn(HermesHandle handle);


int Hermes_ClearerRequest(HermesHandle handle,HermesFormat *format);


int Hermes_ClearerClear(HermesHandle handle,void *pixels,int x1,int y1,
			int width,int height,int pitch,int32 r,int32 g,
			int32 b,char8 index);



#endif
